QGIS Application - Bug report #16743
Couldn't load PyQt - new installation qgis 2.18.9
2017-06-22 01:52 PM - marjolein hermans

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.18.9 Regression?: No

Operating System: windows 7 professional Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 24642
Description

| am new to qgis. after installation | get the error below when | start qgis.
please advise how i could solve this.
thanks

Couldn't load PyQt.
Python support will be disabled.

Traceback (most recent call last):
File ™, line 1, in

RuntimeError: the sip module implements AP1v10.0 but the PyQt4.QtCore module requires APl v11.2

Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:
2.18.9 'Las Palmas', 3a16a4de

Python path:

['C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python’, u'C:/Users/mhermans/.qgis2/python’, u'C:/Users/mhermans/.qgis2/python/plugins’,

'C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins’, 'C:\\PROGRA~1\\QGIS2~1.18\\bin\\python27.zip',
'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\DLLs', 'C:\PROGRA~1\QGIS2~1.18\\apps\\Python27\\lib’,

'C:\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\plat-win', 'C:\PROGRA~1\QGIS2~1.18\\apps\\Python27\\lib\\lib-tk',

'C:\\PROGRA~1\\QGIS2~1.18\\bin’', 'C:\\Users\\mhermans\\AppData\\Roaming\\Python\\Python27\\site-packages',

'C\\PROGRA~1\\QGIS2~1.18\\apps\\Python27', 'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages',

'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\jinja2-2.7.2-py2.7.eqgg’,
'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg’,
'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\win32',
'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\win32\\lib’,
'C:\\PROGRA~1\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\Pythonwin',
'C:\\PROGRA~1\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg’,
'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode’,
'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\xIrd-0.9.2-py2.7.egg’,
'C:\\PROGRA~1\\QGIS2~1.18\\apps\\Python27\\lib\\site-packages\\xiwt-0.7.5-py2.7.egg’]

History

#1 - 2017-06-22 01:53 PM - Giovanni Manghi
- Status changed from Open to Feedback
standalone installer or osgeo4w?

#2 - 2017-06-22 01:55 PM - marjolein hermans

standalone installer from http://www.qgis.org/en/site/forusers/download.html (64 bit windows version)

#3 - 2017-06-22 01:56 PM - Giovanni Manghi

try the osgeo4w one, follow the advanced install and see if the result it the same of it works.

#4 - 2017-06-22 01:57 PM - marjolein hermans

i'll try. problem is that i am not administrator...

#5 - 2017-06-22 02:17 PM - marjolein hermans

same problem with the osgeo4w one... unfortunately

Couldn't load PyQt.
Python support will be disabled.

Traceback (most recent call last):
File "™, line 1, in

RuntimeError: the sip module implements API v10.0 but the PyQt4.QtCore module requires APl v11.2

Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:
2.18.9 'Las Palmas', 3a16ade

Python path:

['C:/OSGEO4~1/apps/qgis/./python', u'C:/Users/mhermans/.qgis2/python’, u'C:/Users/mhermans/.qgis2/python/plugins',
'C:/OSGEO4~1/apps/qgis/./python/plugins', 'C:\OSGEO4~1\\bin\\python27.zip', 'C:\OSGEO4~1\\apps\\Python27\\DLLs',
'C:\OSGEO4~1\\apps\\Python27\\lib', 'C:\OSGEO4~1\\apps\\Python27\\lib\\plat-win', 'C:\OSGEO4~1\\apps\\Python27\\lib\\lib-tk', 'C:\OSGEO4~1\\bin',
'C:\\Users\\mhermans\\AppData\\Roaming\\Python\\Python27\\site-packages', 'C:\OSGEO4~1\\apps\\Python27",
'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages’, 'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\jinja2-2.7.2-py2.7.egg’,
'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg',
'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\win32', 'C:\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\win32\\lib',
'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\Pythonwin',
'C:\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg’,
'C:\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode', 'C:\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\xIrd-0.9.2-py2.7.egg’,
'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\xiwt-0.7.5-py2.7.egg']

#6 - 2017-06-22 03:52 PM - Giovanni Manghi

just did both (standalone and osgeo4w) on win7 pro, no issues at all. My test user has admin rights.

2024-04-09 2/3


http://www.qgis.org/en/site/forusers/download.html

#7 - 2017-06-23 09:10 AM - marjolein hermans

strange. here both times problems.
could my anaconda python installation(s) conflict with this python?

#8 - 2017-06-23 01:32 PM - Giovanni Manghi

marjolein hermans wrote:

strange. here both times problems.

could my anaconda python installation(s) conflict with this python?

at it is almost for sure a local issue, this might be an explanation.

#9 - 2017-09-25 04:52 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closed for lack of feedback, please reopen if necessary.
